Subject: Sally Floyd: Fwd: Re: [tcpm] TCP soft errors draft

From: Fernando Gont <[email-masked]>
Date: Sat, 07 Oct 2006 04:02:49 -0300

Folks,

FYI, it seems this one did not appear on the list.

>X-ClientAddr: 17.250.248.171
>Cc: [email-masked]
>From: Sally Floyd <[email-masked]>
>Subject: Re: [tcpm] TCP soft errors draft
>Date: Tue, 3 Oct 2006 10:17:03 -0700
>To: Fernando Gont <[email-masked]>
>X-Mailer: Apple Mail (2.624)
>
>>Last month I posted a revision of the "TCP's reaction to soft 
>>errors" draft. The revised draft addresses the feedback from Ron 
>>Bonica (which had agreed at the 65th IETF to review the draft).
>>
>>I'd appreciate any input on this last revision.
>
>I don't have any feedback on the response to ICMP "Destination
>Unreachable" messages discussed in this draft, but I do have
>some other small feedback.
>
>In Section 2.1 on "Reaction to Hard Errors", the draft says the following:
>
>    "When receiving a segment with the RST bit set, or an ICMP error
>    message indicating a hard error condition, TCP will simply abort the
>    corresponding connection, regardless of the state the connection is
>    in."
>
>However, it can be more complicated than that.  For example,
>Section 6.1.1.1 of  RFC 3168 (ECN) says the following:
>
>    "To provide robust connectivity even in the presence of such faulty
>    equipment, a host that receives a RST in response to the transmission
>    of an ECN-setup SYN packet MAY resend a SYN with CWR and ECE cleared.
>    This could result in a TCP connection being established without using
>    ECN."
>
>    "A host that receives no reply to an ECN-setup SYN within the normal
>    SYN retransmission timeout interval MAY resend the SYN and any
>    subsequent SYN retransmissions with CWR and ECE cleared."
>
>This is explained further in RFC 3360 on "Inappropriate TCP Resets Considered
>Harmful".  Thus, even "hard errors" are not always straightforward these days.
>
>- Sally
>http://www.icir.org/floyd/

--
Fernando Gont
e-mail: [email-masked] || [email-masked]
PGP Fingerprint: 7809 84F5 322E 45C7 F1C9 3945 96EE A9EF D076 FFF1

_______________________________________________
tcpm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tcpm